@charset "UTF-8";
/* CSS Document */

html {
  height: 100%;
}

*  {
	margin: 0px;
	padding: 0px;
}

body {
  	min-height: 100%;
  	display: flex;
  	flex-direction: column;
	font-family: Helvetica, Arial, Verdana, sans-serif; 
	font-size: 16px;
	line-height: 22px;
	color: black;
	background-color: #e8e8e8;
}

.content {
  flex: 1;
}

h1  { 
	color: #6C5CC0;
	font-size: 24px;
	/* font-size: 1.2rem; */
	font-weight: bold;
	padding-bottom: 10px;
}

p {
	margin: 0px 0px 14px 0px;
	max-width: 800px;
}

.flex-container {
	display: flex;
	flex-flow: row wrap;
}

/* links */
a:link {color:#2c75db; text-decoration:none;}      /* unvisited link */
a:visited {color:#2c75db; text-decoration:none;}  /* visited link */
a:hover {color:#1459b9; text-decoration:underline;}  /* mouse over link */
a:active {color:#1459b9;text-decoration:underline;}  /* selected link */ 


header {
	color: #ffffff;
	background-color: #222222;
	height: 50px;
}

header #logo-image  {
	background-image: url(images/logo-white.png);
	background-size: 30px;
	background-repeat: no-repeat;
	position: absolute;
	height: 30px;
	width: 30px;
	left: 30px;
	top: 10px;
}


#logo-image a { 
	position: absolute; 
	height: 30px;
	width: 30px;
	left: 30px;
	top: 10px;
	background-color: transparent; 
	border: none; 
} 

#logo-name {
	position: relative;
	float: left;
	margin-left: 72px;
	margin-top:  13px;
	font-size: 28px;
	font-family: 'Leckerli One', cursive; 
}


header #logo-name a:link, #logo-name a:visited  {
	text-decoration: none;
	color: white;
}


/* Main Navigation */

nav {
	float: right;
	padding-top: 14px;
}


nav ul {
	display: block;
    list-style: none;
	width: 100%;
	position: relative;
}


nav li {
	display: inline;
	padding-right: 22px;
} 


nav li a:link, nav li a:visited  {
	text-decoration: none;
	text-transform: uppercase;
	color: white;
	font-size: 13px;
	/* font-size: 0.8rem; */
	
	-moz-transition: all 0.05s linear; 
	-webkit-transition: all 0.05s linear; 
	-o-transition: all 0.05s linear; 
	transition: all 0.05s linear;
	
}

nav li a:hover, nav li a:active {
	/* color: #fb5e4d;  */
	color: #C9C0F9; 
}

.button, a.button {
	background-color: #6C5CC0;
	padding: 14px;
	font-weight: normal;
	border: none;
	text-transform: uppercase;
	text-decoration: none;
	color: white;
	font-size: 13px;
	-moz-border-radius: 6px;
    -webkit-border-radius: 6px;
	border-radius: 6px;
}


a.button:hover
{
	background-color: #4B3AA3;
}

/* hero image */

#hero {
	background-image: url(images/shopping-bg-square.png);
	background-size: 480px;
	background-repeat: repeat-x;
	height: 260px;
	color: #ffffff;
	text-align: center;
}


#hero .text-block {
	/* vertically center text */
    position: relative;
    top: 35%;
    transform: translateY(-35%); 
}

#hero h1 { 
	font-size: 34px; 
	line-height: 40px;
	padding-bottom: 30px;
	font-weight: 300;
	color: white;
}
	
#hero h2 {
	font-size: 20px;
	line-height: 22px;
	font-weight: 400;
	color: white;
}

section {
	padding: 30px;
}

.store-list {
	margin-top: 20px;
}

.store {
	float: left;
	width: 280px;
	padding: 3px 0px 3px 0px;
}

.stores-end {
	clear: both;
}

/* sales */

.current-sales .store-sale  {
	display: flex;
	flex-direction: row;
	flex-wrap: wrap;
	border: 1px solid #CCCCCC;
	background-color: #FFFFFF;
	margin: 20px 20px 20px 0px;	
	padding-right: 10px;
	width: 900px;
}


.current-sales .no-sale  {
	background-color: #eeeeee;
}

.current-sales .store-sale .store-name  {
  	display: flex;
  	justify-content: center;
  	flex-direction: column;
	width: 140px;
	background-color: #333333;
	color: #fff;
	font-size: 18px;
	text-align: center;
	line-height: 26px;
	padding: 10px;
	-webkit-box-sizing: border-box; /* Safari/Chrome, other WebKit */
	-moz-box-sizing: border-box;    /* Firefox, other Gecko */
	box-sizing: border-box; 
}

.current-sales .no-sale .store-name {
	background-color: #aaaaaa;
}

.current-sales .store-sale .sale-type  {
	display: none;
}

.current-sales .store-sale .discount  {
	display: block;
	width: 140px;
	color: #CC0033;
	font-size: 50px;
	text-align: center;	
	margin: auto;
}

.current-sales .no-sale .discount  {
	display: none;
}
	
.current-sales .store-sale .sale-info  {
	display: block;
	width: 430px;	
	margin: auto;
	padding: 10px 10px 10px 0px;
}


.current-sales .store-sale .date  {
	font-size: 15px;
	font-weight: bold;
	display: block;
	margin-bottom: 10px;
}


.current-sales .store-sale .ends-today:after  {
	font-size: 14px;
	font-weight: bold;
	color: #B90306;
	content: " *ENDS TODAY*";
}


.current-sales .no-sale .date {
	display: none;
}

.current-sales .store-sale .description {
	font-size: 14px;
	display: block;
	line-height: 20px;
}

.current-sales .no-sale .description  {
	visibility: hidden;
	position: relative;
}

.current-sales .no-sale .description:after {
	visibility: visible;
	position: absolute;
	top: 0px;
	left: 0;
	content: "No sales today";
	font-size: 18px;
	font-weight: 500;
	color: #aaaaaa;
}

.current-sales .no-sale .description {
	font-size: 20px;
	color: #aaa;
	display: block;
	line-height: 20px;
}

.current-sales .store-sale .button  {
	display: block;
	margin: auto;
}

.current-sales .no-sale .button  {
	display: none;
}

/* about */
.about {
	max-width: 500px;
	margin: auto;
}

/* bottom of the page */

footer  {
	text-align: center;
	margin-top: 30px;
	color: #ffffff;
	background-color: #222222;
	font-size: 13px;
	padding:  15px 0px 15px 0px;
	height: 60px;
}

.social-links {
	list-style-type: none;
	height: 44px;
}

.social-links a {
	display: inline-block;
	height: 30px;
	width: 30px;
	margin: 0px 4px 0px 4px;
}

.twitter {
	background-image: url(images/twitter-button.svg);
	background-repeat: no-repeat;
	background-size: 30px;
}

.facebook {
	background-image: url(images/facebook-button.svg);
	background-repeat: no-repeat;
	background-size: 30px;
}

.facebook:hover { opacity: 0.8; }
.twitter:hover { opacity: 0.8; }



/* store logos 
.aldo-shoes {
	background-image: url(images/store-logos/aldo-shoes.svg);
	background-size: 120px;
	background-repeat: no-repeat;
}
*/